Get projects details
Requires a user JWT with the admin role.
Authorization
AdminJWT AuthorizationBearer <token>
User JWT; backend checks the admin role. Project API keys cannot access admin endpoints.
In: header
Path Parameters
id*integer
Range
0 <= valueQuery Parameters
archived?boolean
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.hisend.app/v1/admin/projects/0"{
"project": {
"id": 0,
"user_id": 0,
"reputation_score": 0,
"bounced": 0,
"failed": 0,
"complained": 0,
"name": "string",
"created_at": "string",
"updated_at": "string",
"is_locked": true,
"allow_hisend_mta": true,
"plan_id": 1,
"admin_plan_id": 1,
"polar_subscription_id": "string",
"polar_subscription_status": "string",
"polar_product_id": "string",
"admin_subscription_status": "string",
"plan": {
"id": 0,
"max_domains": 0,
"max_users": 0,
"max_mails_per_day": 0,
"max_mails_per_month": 0,
"name": "string",
"description": "string",
"support_level": "string",
"polar_product_id": "string",
"created_at": "string",
"updated_at": "string",
"price": 0,
"is_active": true
}
},
"owner": {
"name": "string",
"email": "string",
"role": "string",
"status": "string",
"usage_description": "string",
"usage_review_result": "string",
"created_at": "string",
"updated_at": "string",
"id": 0,
"email_verified": true,
"usage_reviewed_at": "2019-08-24T14:15:22Z"
},
"counts": {
"property1": 0,
"property2": 0
},
"archived": true,
"effective_subscription_status": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}